View Single Post
Old 08-16-2015, 12:13 PM   #28
knc1
On Holiday
knc1 ought to be getting tired of karma fortunes by now.knc1 ought to be getting tired of karma fortunes by now.knc1 ought to be getting tired of karma fortunes by now.knc1 ought to be getting tired of karma fortunes by now.knc1 ought to be getting tired of karma fortunes by now.knc1 ought to be getting tired of karma fortunes by now.knc1 ought to be getting tired of karma fortunes by now.knc1 ought to be getting tired of karma fortunes by now.knc1 ought to be getting tired of karma fortunes by now.knc1 ought to be getting tired of karma fortunes by now.knc1 ought to be getting tired of karma fortunes by now.
 
knc1's Avatar
 
Posts: 16,254
Karma: 17256902
Join Date: Feb 2012
Location: Central Texas
Device: No K1, PW2, KV, KOA
Quote:
Originally Posted by idoit View Post
After your speculations in the other thread (I guess NiLuJe's thread), did you realize it is necessary for one who wants Wikipedia functioning again on their DX 2.5.8 to update to 3.4.2 (or 3.2.1)?

Or, is there any 'minimal' solution (like just updating webkit or just adding certs, etc)? I prefer not to get the whole update because of RAM scarcity!
To 3.4.2 not 3.2.1, 3.4.2 is the earliest, not even 3.4.1 provides the required protocols and encryption suites.

You need to update the libraries that provide the encryption services (openSSL and/or gnutls) -
You need to update all programs and libraries that reference the updated libraries (because they will have what they want to use / what they are willing to accept hardcoded in them).

You also have to update everything that all of the above depend on, because the updated stuff may need things not provided by the (older) original firmware.

And without a "magic key" to rescue yourself with - that selective updating is very risky.
Very easy for something to go wrong.

Hmm...
I think that pretty much says:
You have to update everything as a set.
knc1 is offline   Reply With Quote